package com.willalp.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 卡片用户信息对象 sys_card_info
 *
 * @author willalp
 * @date 2021-11-30
 */

@TableName("sys_card_info")
public class SysCardInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 卡片用户名称 */
    @Excel(name = "卡片用户名称")
    private String cardUsername;

    /** 卡片手机号码 */
    @Excel(name = "卡片手机号码")
    private String cardPhonenumber;

    /** 卡片密码 */
    @Excel(name = "卡片密码")
    private String cardPassword;

    /** 用户id */
    @Excel(name = "用户编码")
    private String userId;

    /** 机构代码 */
    @Excel(name = "机构代码")
    private String organizationCode;

    /** 是否删除(1:是,0:否) */
    @Excel(name = "是否删除(1:是,0:否)")
    @TableLogic
    private Integer isDelete;

    @Excel(name = "卡片编码")
    private String cardCode;

    @Excel(name = "卡片状态")
    private Integer cardState;

    @TableField(exist = false)
    private List<String> organizations;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCardUsername(String cardUsername)
    {
        this.cardUsername = cardUsername;
    }

    public String getCardUsername()
    {
        return cardUsername;
    }
    public void setCardPhonenumber(String cardPhonenumber)
    {
        this.cardPhonenumber = cardPhonenumber;
    }

    public String getCardPhonenumber()
    {
        return cardPhonenumber;
    }
    public void setCardPassword(String cardPassword)
    {
        this.cardPassword = cardPassword;
    }

    public String getCardPassword()
    {
        return cardPassword;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setOrganizationCode(String organizationCode)
    {
        this.organizationCode = organizationCode;
    }

    public String getOrganizationCode()
    {
        return organizationCode;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    public String getCardCode() {
        return cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public List<String> getOrganizations() {
        return organizations;
    }

    public void setOrganizations(List<String> organizations) {
        this.organizations = organizations;
    }

    public Integer getCardState() {
        return cardState;
    }

    public void setCardState(Integer cardState) {
        this.cardState = cardState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cardUsername", getCardUsername())
            .append("cardPhonenumber", getCardPhonenumber())
            .append("cardPassword", getCardPassword())
            .append("userId", getUserId())
            .append("organizationCode", getOrganizationCode())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("cardCode", getCardCode())
                .append("cardState",getCardState())
            .toString();
    }
}
